<template>
	<main class="mt-36">
		<h2 class="contents-title">Tabs</h2>

		<div>
			<div class="tab">
				<button
					v-for="(tab, index) in tabs"
					:key="index"
					@click="activeTab = index"
					:class="{ active: activeTab === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs"
					:key="index"
					v-show="activeTab === index"
				>
					{{ tab.content }}
				</div>
			</div>
		</div>

		<Code :codeText="tab" />
		<hr />

		<div>
			<div class="tab-justify">
				<button
					v-for="(tab, index) in tabs"
					:key="index"
					@click="activeTab2 = index"
					:class="{ active: activeTab2 === index }"
				>
					{{ tab.title }}
				</button>
			</div>
			<div class="tab-content">
				<div
					v-for="(tab, index) in tabs"
					:key="index"
					v-show="activeTab2 === index"
				>
					{{ tab.content }}
				</div>
			</div>
		</div>

		<Code :codeText="justifiedTabs" />

		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			activeTab: 0,
			activeTab2: 0,
			tabs: [
				{
					title: 'Tab 1',
					content: 'Item 1'
				},
				{
					title: 'Tab 2',
					content: 'Item 2'
				},
				{
					title: 'Tab 3',
					content: 'Item 3'
				},
				{
					title: 'Tab 4',
					content: 'Item 4'
				}
			],
			tab: `<ul class="tabs__bar js-tabs">
    <li class="tabs__nav js-tabs-link is-active" data-control="#item1">TAB 1</li>
    <li class="tabs__nav js-tabs-link" data-control="#item2">TAB 2</li>
    <li class="tabs__nav js-tabs-link" data-control="#item3">TAB 3</li>
    <li class="tabs__nav js-tabs-link" data-control="#item4">TAB 4</li>
</ul>
<div class="tabs__content">
    <div class="tabs__item js-tabs-item is-active" id="item1">
        Item 1
    </div>
    <div class="tabs__item js-tabs-item" id="item2">
        Item 2
    </div>
    <div class="tabs__item js-tabs-item" id="item3">
        Item 3
    </div>
    <div class="tabs__item js-tabs-item" id="item4">
        Item 4
    </div>
</div>`,
			justifiedTabs: `<ul class="tabs__bar--justify js-tabs">
    <li class="tabs__nav js-tabs-link is-active" data-control="#justified1">TAB 1</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified2">TAB 2</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified3">TAB 3</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified4">TAB 4</li>
</ul>
<div class="tabs__content">
    <div class="tabs__item js-tabs-item is-active" id="justified1">
        Item 1
    </div>
    <div class="tabs__item js-tabs-item" id="justified2">
        Item 2
    </div>
    <div class="tabs__item js-tabs-item" id="justified3">
        Item 3
    </div>
    <div class="tabs__item js-tabs-item" id="justified4">
        Item 4
    </div>
</div>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
